cURL
curl --request PATCH \ --url https://api.embedreach.com/api/channel/senders/{id} \ --header 'Content-Type: application/json' \ --data ' { "channelSenderMetadata": { "userPart": "<string>", "emailReplyTo": "<string>", "emailFromName": "<string>", "from": "<string>", "messageServiceSid": "<string>", "friendlyName": "<string>" } } '
{ "success": true, "message": "<string>", "data": { "id": "<string>", "channelAccountId": "<string>", "name": "<string>", "channelSenderMetadata": { "type": "email", "userPart": "<string>", "emailReplyTo": "<string>", "emailFromName": "<string>", "from": "<string>", "messageServiceSid": "<string>", "friendlyName": "<string>" } } }
Update a channel sender
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
The id of the channel sender
The metadata for the channel sender
Show child attributes
The user part of the email (e.g. {userPart}@domain.com)
The email reply to of the channel sender
The email from name of the channel sender
The phone number to send sms messages from
The Twilio message service sid to send sms messages from
A friendly name for the SMS sender
Status 200 response
email
sms